v1-platform
Participant Next Question Batch
Participant Next Question Batch
curl --request GET \
--url https://api.example.com/v1/participant/next-batch \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/next-batch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/next-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "<string>",
"complete": true,
"progress": 0.5,
"trace": {
"mandatory": true,
"policy_version": "<string>",
"selected_question_id": "<string>",
"stop_reason": "mandatory_guardrail"
},
"questions": [
{
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
}
],
"why": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
Short-lived token bound to one participant session.
Query Parameters
Required range:
1 <= x <= 5Response
Successful Response
A server-reserved form batch from the published selection policy.
Required range:
0 <= x <= 1Show child attributes
Show child attributes
questions
(ParticipantSingleSelectQuestion · object | ParticipantMultiSelectQuestion · object | ParticipantShortTextQuestion · object | ParticipantNumberQuestion · object | ParticipantDateQuestion · object | ParticipantNumberGroupQuestion · object)[]
Maximum array length:
5- ParticipantSingleSelectQuestion
- ParticipantMultiSelectQuestion
- ParticipantShortTextQuestion
- ParticipantNumberQuestion
- ParticipantDateQuestion
- ParticipantNumberGroupQuestion
Show child attributes
Show child attributes
⌘I
Participant Next Question Batch
